aboutsummaryrefslogtreecommitdiffstats
path: root/package/php5/files/php.init
diff options
context:
space:
mode:
authorNicolas Thill <nico@openwrt.org>2005-08-14 16:27:48 +0000
committerNicolas Thill <nico@openwrt.org>2005-08-14 16:27:48 +0000
commitaef2bda2e5aad2203a8607e2946300b16ae911c3 (patch)
tree51a8683ab7c3aee412879147c419e25d4aef607c /package/php5/files/php.init
parentbd316bc9b2a8f338831dfb7ff6844f430984f826 (diff)
downloadupstream-aef2bda2e5aad2203a8607e2946300b16ae911c3.tar.gz
upstream-aef2bda2e5aad2203a8607e2946300b16ae911c3.tar.bz2
upstream-aef2bda2e5aad2203a8607e2946300b16ae911c3.zip
add php5 package
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@1667 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/php5/files/php.init')
-rw-r--r--package/php5/files/php.init19
1 files changed, 19 insertions, 0 deletions
diff --git a/package/php5/files/php.init b/package/php5/files/php.init
new file mode 100644
index 0000000000..b29387bd74
--- /dev/null
+++ b/package/php5/files/php.init
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+export PHP_FCGI_CHILDREN=''
+PORT=1026
+BIN=/usr/sbin/php
+
+case $1 in
+ start)
+ $BIN -b $PORT &
+ ;;
+ stop)
+ kill `pidof php`
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?